- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\Video\Resamplable

interface Resamplable implements Video

The resamplable video interface

This interface provides frame rate and GOP size settings for video encoding

## Methods

integer | getFrameRate() Returns the frame rate |
Boolean | supportBFrames() Returns true if the current format supports B-Frames |
integer | getGOPSize() Returns the GOP size |

## Details

###
at line 31
`public integer getFrameRate()`

Returns the frame rate

#### Return Value

integer |

###
at line 40
`public Boolean supportBFrames()`

Returns true if the current format supports B-Frames

#### Return Value

Boolean |

#### See also

https://wikipedia.org/wiki/Video_compression_picture_types |

###
at line 49
`public integer getGOPSize()`

Returns the GOP size

#### Return Value

integer |

#### See also

https://wikipedia.org/wiki/Group_of_pictures |